=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: juk
 Section: kde
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Pino Toscano <pino@debian.org>,
 Build-Depends: cmake (>= 3.16~),
@@ -33,17 +34,17 @@
                libtag1-dev (>= 1.6),
                pkg-config,
                qtbase5-dev (>= 5.15.2~),
-Standards-Version: 4.6.2
+Standards-Version: 4.6.1
 Homepage: https://juk.kde.org/
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/juk
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/juk.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/juk
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/juk
 Rules-Requires-Root: no
 
 Package: juk
 Section: sound
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends},
-Suggests: k3b,
+Depends: ${misc:Depends}, ${shlibs:Depends}
+Suggests: k3b
 Description: music jukebox / music player
  JuK is a powerful music player capable of managing a large music collection.
  .
