=== debian/control ===
--- 
+++ 
@@ -34,7 +34,7 @@
                libtag1-dev (>= 1.6),
                pkg-config,
                qtbase5-dev (>= 5.15.2~),
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://juk.kde.org/
 Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/juk
 Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/juk
@@ -43,8 +43,8 @@
 Package: juk
 Section: sound
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}
-Suggests: k3b
+Depends: ${misc:Depends}, ${shlibs:Depends},
+Suggests: k3b,
 Description: music jukebox / music player
  JuK is a powerful music player capable of managing a large music collection.
  .
