## juk 24.08.2

=== debian/changelog ===
juk (4:24.08.2-1ubuntu1) plucky; urgency=medium

  * Merge from Debian Experimental.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sat, 02 Nov 2024 17:51:22 -0500

juk (4:24.08.2-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (24.08.2).
  * Build against Qt6 / KF6, update build-deps and deps with the info from
    cmake.
  * Switch dh build sequence to kf6.
  * Move away from pkg-config transitive build dependency.
  * Bump Standards-Version to 4.7.0, no change required.
  * Fix permissions of installed files.

 -- Aurélien COUDERC <coucouf@debian.org>  Mon, 14 Oct 2024 17:26:36 +0200
