## juk 24.12.0

=== debian/changelog ===
juk (4:24.12.0-2) unstable; urgency=medium

  * Team upload.
  * Rebuild against taglib 2.0.2.
  * debian/control: Update build-dependency package name:
    + libtag1-dev => libtag-dev.

 -- Boyuan Yang <byang@debian.org>  Fri, 10 Jan 2025 21:40:32 -0500

juk (4:24.12.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (24.12.0).
  * Update build-deps and deps with the info from cmake.
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 21 Dec 2024 23:10:49 +0100
