## juk 24.12.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,18 +2,18 @@
 
 # KDE Application Version, managed by KDE release team automatically
 # https://community.kde.org/Guidelines_and_HOWTOs/Application_Versioning
-set (RELEASE_SERVICE_VERSION_MAJOR "23")
-set (RELEASE_SERVICE_VERSION_MINOR "08")
-set (RELEASE_SERVICE_VERSION_MICRO "5")
+set (RELEASE_SERVICE_VERSION_MAJOR "24")
+set (RELEASE_SERVICE_VERSION_MINOR "12")
+set (RELEASE_SERVICE_VERSION_MICRO "3")
 set (RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(juk VERSION ${RELEASE_SERVICE_VERSION})
 
-set(QT_MIN_VERSION "5.15.2")
-set(KF5_MIN_VERSION "5.90.0")
+set(KF6_MIN_VERSION "5.240.0")
+# Any higher and many Qt keywords get disabled
 set(KDE_COMPILERSETTINGS_LEVEL "5.84.0")
 
-find_package(ECM ${KF5_MIN_VERSION} REQUIRED NO_MODULE)
+find_package(ECM ${KF6_MIN_VERSION} REQUIRED NO_MODULE)
 set(CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake" ${ECM_MODULE_PATH})
 
 include(CMakePushCheckState)
@@ -26,8 +26,8 @@
 include(ECMAddAppIcon)
 include(ECMQtDeclareLoggingCategory)
 
-find_package(Qt${QT_MAJOR_VERSION} ${QT_MIN_VERSION} REQUIRED COMPONENTS Concurrent Gui Svg Network Test Widgets)
-find_package(KF5 ${KF5_MIN_VERSION} REQUIRED COMPONENTS
+find_package(Qt6 ${QT_MIN_VERSION} REQUIRED COMPONENTS Core Concurrent Gui Svg Network Test Widgets)
+find_package(KF6 ${KF6_MIN_VERSION} REQUIRED COMPONENTS
     CoreAddons
     Completion
     Config
@@ -45,12 +45,11 @@
     Wallet
     WidgetsAddons
     WindowSystem
-)
-find_package(Phonon4Qt${QT_MAJOR_VERSION} 4.6.60 REQUIRED NO_MODULE)
+    StatusNotifierItem
+)
+find_package(Phonon4Qt6 4.6.60 REQUIRED NO_MODULE)
 
 find_package(Taglib 1.6 REQUIRED)
-
-include_directories(${CMAKE_BINARY_DIR} ${PHONON_INCLUDES})
 
 add_subdirectory( doc )
 add_subdirectory( tests )
@@ -68,7 +67,7 @@
 
 configure_file (config-juk.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-juk.h )
 
-set(juk_SRCS
+add_executable(juk
    advancedsearchdialog.cpp
    slider.cpp
    svghandler.cpp
@@ -77,11 +76,7 @@
    cache.cpp
    categoryreaderinterface.cpp
    collectionlist.cpp
-   coverdialog.cpp
-   covericonview.cpp
    coverinfo.cpp
-   covermanager.cpp
-   coverproxy.cpp
    dbuscollectionproxy.cpp
    deletedialog.cpp
    directorylist.cpp
@@ -93,7 +88,6 @@
    filerenamer.cpp
    filerenameroptions.cpp
    filerenamerconfigdlg.cpp
-   webimagefetcher.cpp
    historyplaylist.cpp
    iconsupport.cpp
    juk.cpp
@@ -130,31 +124,37 @@
    tagtransactionmanager.cpp
    treeviewitemplaylist.cpp
    upcomingplaylist.cpp
-   viewmode.cpp )
-
-ecm_qt_declare_logging_category(juk_SRCS HEADER juk_debug.h
+   viewmode.cpp
+
+   juk.qrc
+)
+
+ecm_qt_declare_logging_category(juk HEADER juk_debug.h
                                 IDENTIFIER JUK_LOG CATEGORY_NAME org.kde.juk)
 
-qt_add_dbus_adaptor( juk_SRCS org.kde.juk.collection.xml
+set(JUK_DBUS_SRC "")
+
+qt_add_dbus_adaptor(JUK_DBUS_SRC org.kde.juk.collection.xml
     dbuscollectionproxy.h DBusCollectionProxy )
-qt_add_dbus_adaptor( juk_SRCS org.kde.juk.player.xml playermanager.h PlayerManager)
-qt_add_dbus_adaptor( juk_SRCS org.kde.juk.search.xml searchwidget.h SearchWidget)
-
-
-ki18n_wrap_ui(juk_SRCS
+qt_add_dbus_adaptor(JUK_DBUS_SRC org.kde.juk.player.xml playermanager.h PlayerManager)
+qt_add_dbus_adaptor(JUK_DBUS_SRC org.kde.juk.search.xml searchwidget.h SearchWidget)
+
+target_sources(juk PRIVATE ${JUK_DBUS_SRC})
+
+ki18n_wrap_ui(juk
     filerenamerbase.ui
     filerenameroptionsbase.ui
     directorylistbase.ui
     tagguesserconfigdlgwidget.ui
     exampleoptionsbase.ui
-    coverdialogbase.ui
     deletedialogbase.ui
     tageditor.ui
 )
 
 file(GLOB ICONS_SRCS "${CMAKE_CURRENT_SOURCE_DIR}/*-apps-juk.png")
-ecm_add_app_icon(juk_SRCS ICONS ${ICONS_SRCS})
-add_executable(juk ${juk_SRCS})
+ecm_add_app_icon(juk ICONS ${ICONS_SRCS})
+
+target_include_directories(juk SYSTEM PRIVATE ${CMAKE_BINARY_DIR} ${PHONON_INCLUDES})
 
 kde_target_enable_exceptions(juk PRIVATE)
 target_compile_definitions(juk PRIVATE QT_USE_QSTRINGBUILDER)
@@ -173,25 +173,26 @@
     Qt::Svg
     Qt::Widgets
     Qt::Network
-    KF5::ConfigCore
-    KF5::CoreAddons
-    KF5::Completion
-    KF5::Crash
-    KF5::DBusAddons
-    KF5::GlobalAccel
-    KF5::KIOCore
-    KF5::KIOWidgets
-    KF5::KIOFileWidgets
-    KF5::JobWidgets
-    KF5::Notifications
-    KF5::I18n
-    KF5::IconThemes
-    KF5::TextWidgets
-    KF5::XmlGui
-    KF5::WindowSystem
-    KF5::WidgetsAddons
-    KF5::Wallet
-    Phonon::phonon4qt${QT_MAJOR_VERSION}
+    KF6::ConfigCore
+    KF6::CoreAddons
+    KF6::Completion
+    KF6::Crash
+    KF6::DBusAddons
+    KF6::GlobalAccel
+    KF6::KIOCore
+    KF6::KIOWidgets
+    KF6::KIOFileWidgets
+    KF6::JobWidgets
+    KF6::Notifications
+    KF6::I18n
+    KF6::IconThemes
+    KF6::TextWidgets
+    KF6::XmlGui
+    KF6::WindowSystem
+    KF6::WidgetsAddons
+    KF6::Wallet
+    KF6::StatusNotifierItem
+    Phonon::phonon4qt6
     Taglib::Taglib
 )
 
@@ -206,7 +207,6 @@
 ########### install files ###############
 
 install( PROGRAMS org.kde.juk.desktop  DESTINATION  ${KDE_INSTALL_APPDIR} )
-install( FILES jukui.rc jukui-rtl.rc  DESTINATION  ${KDE_INSTALL_KXMLGUI5DIR}/juk )
 install(
     FILES juk.notifyrc
     DESTINATION ${KDE_INSTALL_KNOTIFYRCDIR}
