=== debian/control ===
--- 
+++ 
@@ -1,13 +1,12 @@
 Source: juk
 Section: kde
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Pino Toscano <pino@debian.org>,
-Build-Depends: cmake (>= 3.16~),
-               debhelper-compat (= 13),
+Build-Depends: debhelper-compat (= 13),
                dh-sequence-kf6,
+               cmake (>= 3.16~),
                extra-cmake-modules (>= 5.240.0~),
                gettext,
                libkf6completion-dev (>= 5.240.0~),
@@ -32,14 +31,15 @@
                libphonon4qt6-dev (>= 4:4.6.60~),
                libphonon4qt6experimental-dev,
                libqt5svg5-dev (>= 5.15.2~),
-               libtag1-dev (>= 1.6),
+               libtag-dev (>= 1.6),
+               libtag1-dev (>= 1.6~),
                pkgconf,
                qt6-base-dev,
                qt6-svg-dev,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://juk.kde.org/
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/juk
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/juk
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/juk
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/juk.git
 Rules-Requires-Root: no
 
 Package: juk
