=== debian/control ===
Source: juk
Section: kde
Priority: optional
Uploaders: Pino Toscano <pino@debian.org>,
           Sune Vuorela <sune@debian.org>,
           Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake,
               debhelper-compat (= 13),
               kf6-extra-cmake-modules,
               kf6-kcompletion-dev,
               kf6-kconfig-dev,
               kf6-kcoreaddons-dev,
               kf6-kcrash-dev,
               kf6-kdoctools-dev,
               kf6-kglobalaccel-dev,
               kf6-ki18n-dev,
               kf6-kiconthemes-dev,
               kf6-kio-dev,
               kf6-kitemmodels-dev,
               kf6-kjobwidgets-dev,
               kf6-knotifications-dev,
               kf6-kstatusnotifieritem-dev,
               kf6-ktextwidgets-dev,
               kf6-kwallet-dev,
               kf6-kwidgetsaddons-dev,
               kf6-kwindowsystem-dev,
               kf6-kxmlgui-dev,
               libopusfile-dev,
               libtag1-dev (>= 1.6),
               pkg-kde-tools-neon,
               qt6-base-dev,
               qt6-phonon-dev,
               qt6-svg-dev
Standards-Version: 4.6.2
Homepage: http://www.kde.org/
Vcs-Git: https://invent.kde.org/neon/kde/juk.git
Vcs-Browser: https://invent.kde.org/neon/kde/juk
Maintainer: Neon CI <neon@kde.org>

Package: juk
Section: sound
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: k3b
Description: music jukebox / music player
 JuK is a powerful music player capable of managing a large music collection.
 .
 Some of JuK's features include:
  * Music collection, playlists, and smart playlists
  * Tag editing support, including the ability to edit multiple files at once
  * Tag-based music file organization and renaming
  * CD burning support using k3b
  * Album art using Google Image Search
 .
 This package is part of the KDE multimedia module.
