## juk 25.07.80

=== debian/changelog ===
juk (4:25.07.80-0ubuntu1) questing; urgency=medium

  * New upstream (beta) release (25.07.80)
  * Build depend on qt6-multimedia-dev
  * Drop phonon build depends.

 -- Rik Mills <rikmills@kde.org>  Sat, 12 Jul 2025 18:03:27 +0100

juk (4:25.04.3-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Jul 2025 07:36:59 +0100
