=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

execute_after_dh_fixperms-arch:
	chmod -x $(CURDIR)/debian/juk/usr/share/kio/servicemenus/*.desktop
