## juk 25.08.1+p24.04+vstable+git20250917.0024

=== debian/changelog ===
juk (4:25.08.1+p24.04+vstable+git20250917.0024-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 17 Sep 2025 00:24:36 +0000

juk (4:25.08.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 09 Sep 2025 09:29:21 +0000
